Skip to content

Canvasリストをエクスポートする

get

/canvas/list

このエンドポイントを使用して、名前、Canvas API識別子、関連タグを含むCanvasesのリストをエクスポートします。

Canvasesは、作成時刻順(デフォルトでは古い順)に100件ずつのグループで返されます。

include_archivedフィールドが指定されていない限り、アーカイブされたCanvasesはAPI応答に含まれません。ただし、停止しているがアーカイブされていないCanvasesは、デフォルトで返されます。

前提条件

このエンドポイントを使用するには、canvas.list権限を持つAPIキーが必要です。

レート制限

APIレート制限に記載されているように、このエンドポイントにはデフォルトのBrazeレート制限(1時間あたり250,000リクエスト)が適用されます。

リクエストパラメーター

リクエスト例

1
2
curl --location -g --request GET 'https://rest.iad-01.braze.com/canvas/list?page=1&include_archived=false&sort_direction=desc&last_edit.time[gt]=2020-06-28T23:59:59-5:00' \
--header 'Authorization: Bearer YOUR-REST-API-KEY'

応答

1
2
3
4
5
6
7
8
9
10
11
12
{
  "canvases" : [
  	{
  		"id" : (string) the Canvas API identifier,
  		"last_edited": (ISO 8601 string) the last edited time for the message,
  		"name" : (string) the Canvas name,
  		"tags" : (array) the tag names associated with the Canvas formatted as strings,
  	},
    ... (more Canvases)
  ],
  "message": (required, string) the status of the export, returns 'success' when completed without errors
}
New Stuff!